API to fetch the Product Reviews

http
GET https://services.leadconnectorhq.com/products/reviews

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
altIdstringYes6578278e879ad2646715ba9cAccount Id or Agency Id
altTypestringYes
limitnumberNo20The maximum number of items to be included in a single page of results
offsetnumberNo0The starting index of the page, indicating the position from which the results should be retrieved.
sortFieldstringNoratingThe field upon which the sort should be applied
sortOrderstringNodescThe order of sort which should be applied for the sortField
ratingnumberNo4Key to filter the ratings
startDatestringNo2023-01-01T00:00:00ZThe start date for filtering reviews
endDatestringNo2023-12-31T23:59:59ZThe end date for filtering reviews
productIdstringNo60d21b4667d0d8992e610c88,60d21b4667d0d8992e610c89,60d21b4667d0d8992e610c8aComma-separated list of product IDs
storeIdstringNo60d21b4667d0d8992e610c85,60d21b4667d0d8992e610c86,60d21b4667d0d8992e610c87Comma-separated list of store IDs

Responses

200 - Successful response
  • data (array[], required): Array of Collections

  • total (number, required): The total count of the collections present, which is useful to calculate the pagination

json
{
  "data": [
    []
  ],
  "total": 0
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/products/reviews' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?